%define major 1

Summary:	Library that allows developer to access PolicyKit-1 API
Name:		polkit-qt5-1
Version:	0.103.1
Release:	6
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		https://projects.kde.org/projects/kdesupport/polkit-qt-1
Source0: 	%{name}-%{version}.tar.bz2
BuildRequires:	cmake
BuildRequires:	qmake5
BuildRequires:	pkgconfig(polkit-agent-1)
BuildRequires:	qt5-devel

%description
Polkit-qt is a library that allows developer to access PolicyKit-1
API with a nice Qt-style API.

#-----------------------------------------------------------------------------
%define libpolkit_qt5_core_1 %mklibname polkit-qt5-core-1_ %{major}

%package -n %{libpolkit_qt5_core_1}
Summary:	Polkit-Qt core library
Group:		System/Libraries

%description -n %{libpolkit_qt5_core_1}
Polkit-Qt core library.

%files -n %{libpolkit_qt5_core_1}
%{_libdir}/libpolkit-qt5-core-1.so.%{major}*

#-----------------------------------------------------------------------------
%define libpolkit_qt5_gui_1 %mklibname polkit-qt5-gui-1_ %{major}

%package -n %{libpolkit_qt5_gui_1}
Summary:	Polkit-Qt core library
Group:		System/Libraries

%description -n %{libpolkit_qt5_gui_1}
Polkit-Qt core library.

%files -n %{libpolkit_qt5_gui_1}
%{_libdir}/libpolkit-qt5-gui-1.so.%{major}*

#-----------------------------------------------------------------------------
%define libpolkit_qt5_agent_1 %mklibname polkit-qt5-agent-1_ %{major}

%package -n %{libpolkit_qt5_agent_1}
Summary:	Polkit-Qt core library
Group:		System/Libraries

%description -n %{libpolkit_qt5_agent_1}
Polkit-Qt core library.

%files -n %{libpolkit_qt5_agent_1}
%{_libdir}/libpolkit-qt5-agent-1.so.%{major}*

#-----------------------------------------------------------------------------

%package devel
Summary:	Devel stuff for polkit-Qt
Group:		Development/KDE and Qt
Requires:	%{libpolkit_qt5_core_1} = %{EVRD}
Requires:	%{libpolkit_qt5_gui_1} = %{EVRD}
Requires:	%{libpolkit_qt5_agent_1} = %{EVRD}
Conflicts:	polkit-qt-1-devel

%description devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%{_includedir}/polkit-qt-1
%{_libdir}/libpolkit-qt5-agent-1.so
%{_libdir}/libpolkit-qt5-core-1.so
%{_libdir}/libpolkit-qt5-gui-1.so
%{_libdir}/pkgconfig/polkit-qt5-1.pc
%{_libdir}/pkgconfig/polkit-qt5-agent-1.pc
%{_libdir}/pkgconfig/polkit-qt5-core-1.pc
%{_libdir}/pkgconfig/polkit-qt5-gui-1.pc
%{_libdir}/cmake/PolkitQt5-1/*.cmake

#-----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_qt5 
%make

%install
%makeinstall_std -C build


%changelog
* Tue Feb 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.103.1-6
+ Revision: 8f52a50
- Add Conflicts with Qt4 version for devel package


